package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.DataElement;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import java.util.Iterator;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/CopyDataCollectionAction.class */
public class CopyDataCollectionAction extends LifeAction {
    private int type;
    private String sourceName;
    private String targetName;

    public String execute(Context context) throws GENEException {
        DataElement dataElement;
        try {
            switch (this.type) {
                case 1:
                    KeyedCollection source = (KeyedCollection) context.get(this.sourceName);
                    if (this.targetName == null) {
                        dataElement = context.getDataElement();
                    } else {
                        dataElement = context.getDataElement(this.targetName);
                    }
                    KeyedCollection target = (KeyedCollection) dataElement;
                    for (String fieldName : source.keySet()) {
                        target.put(fieldName, source.get(fieldName));
                    }
                    return "0";
                case 2:
                    IndexedCollection source2 = (IndexedCollection) context.get(this.sourceName);
                    IndexedCollection target2 = context.getDataElement(this.targetName);
                    target2.setDataElement(source2.getDataElement());
                    Iterator iterator = source2.iterator();
                    while (iterator.hasNext()) {
                        KeyedCollection kColl = (KeyedCollection) iterator.next();
                        target2.add(kColl);
                    }
                    return "0";
                default:
                    return "0";
            }
        } catch (GENEException empe) {
            Trace.logError("LifeAction", empe.getMessage(), empe);
            throw empe;
        }
    }

    public void setType(int type) {
        this.type = type;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }
}
